## nvidia-texture-tools 2.0.8-1+dfsg

=== debian/changelog ===
nvidia-texture-tools (2.0.8-1+dfsg-11) unstable; urgency=medium

  * Fix building with CMake 4.  (Closes: #1113334)
  * Drop unused Build-Depends.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Sep 2025 09:17:34 +0200

nvidia-texture-tools (2.0.8-1+dfsg-10) unstable; urgency=medium

  * Adopt package by the Debian NVIDIA Maintainers and add myself to
    Uploaders.  (Closes: #1111796)
  * Simplify the multiarch changes.
  * Add upstream metadata.
  * Add .symbols control file.
  * Make the packages Architecture: any.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Update watch file.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 13 Sep 2025 08:55:51 +0200

nvidia-texture-tools (2.0.8-1+dfsg-9) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Point Vcs-fields to Salsa
    Closes: #838287
  * d/copyright: Adapt to new version
  * debhelper-compat=13
  * cme fix dpkg-control
  * Build-Depends: s/libilmbase-dev/libimath-dev/
    Closes: #1018013
  * d/copyright: review
  * d/rules:
     - drop unneeded get-orig-source target
     - hardening options
  * debian/libnvtt2.postinst: Removed
  * Using cmake in d/rules Closes: #1049236

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass cross compilers (Closes: #851299)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Aug 2025 14:50:03 +0200

nvidia-texture-tools (2.0.8-1+dfsg-8.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Enable ppc64el in d/control and add patch to fix build : Timothy Pearson
    upstream patches on 2.1 do not apply on 2.0.8 but in the end, 2.0.8 and
    2.1.1 should be fixed (Closes: #828711)

 -- Frédéric Bonnard <frediz@debian.org>  Fri, 27 Sep 2019 15:04:53 +0200

nvidia-texture-tools (2.0.8-1+dfsg-8.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Adrian Bunk ]
  * Fix FTBFS with GCC 6. (Closes: #811612)

 -- James Cowgill <jcowgill@debian.org>  Mon, 19 Sep 2016 12:41:04 +0000

nvidia-texture-tools (2.0.8-1+dfsg-8) unstable; urgency=medium

  * Removed symbols file

 -- Lennart Weller <lhw@ring0.de>  Tue, 08 Dec 2015 08:51:11 +0100

nvidia-texture-tools (2.0.8-1+dfsg-7) unstable; urgency=low

  * Removed obsolete multiarch dependency
  * Updated nvtt source information
  * Updated watch file for github and new versioning
  * Added symbols file
  * Patched out spelling mistakes mentioned by lintian
  * Moved libnvtt-bin to graphics section

 -- Lennart Weller <lhw@ring0.de>  Mon, 30 Nov 2015 13:04:13 +0100

nvidia-texture-tools (2.0.8-1+dfsg-6) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add ARM64 support (Closes: #790317)

  [ Lennart Weller ]
  * New Standards-Version
  * Updated Homepage/Build-Depends

 -- Lennart Weller <lhw@ring0.de>  Tue, 17 Nov 2015 08:44:25 +0100

nvidia-texture-tools (2.0.8-1+dfsg-5) unstable; urgency=medium

  [ Ondřej Surý ]
  * Change B-D to libjpeg-dev to finish the transition to libjpeg-turbo

 -- Lennart Weller <lhw@ring0.de>  Fri, 03 Oct 2014 21:25:53 +0200

nvidia-texture-tools (2.0.8-1+dfsg-4) unstable; urgency=low

  [ Fabio Pedretti ]
  * Add armel and armhf build support (Closes: #721972)
  * Remove -march=athlon64 from CXXFLAGS (Closes: #713966, #712956)

 -- Lennart Weller <lhw@ring0.de>  Sat, 07 Sep 2013 02:16:32 +0200

nvidia-texture-tools (2.0.8-1+dfsg-3) unstable; urgency=low

  * Fixed a warning for incompatible typedefs on amd64 builds (Closes: #689642)
  * Updated to newest debian standard version 3.9.4
  * Enable hardening flags

 -- Lennart Weller <lhw@ring0.de>  Thu, 20 Sep 2012 11:01:21 +0200

nvidia-texture-tools (2.0.8-1+dfsg-2) unstable; urgency=low

  * Cherry picked some revisions from upstream
  * Fixed debian/watch file (Closes: #666259)
  * Replaced C++ symbols file with shlibdeps (Closes: #666254)
  * Fixed architecture build (Closes: #666252)

 -- Lennart Weller <lhw@ring0.de>  Sat, 31 Mar 2012 23:49:30 +0200

nvidia-texture-tools (2.0.8-1+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #666010)

 -- Lennart Weller <lhw@ring0.de>  Tue, 27 Mar 2012 22:01:03 +0200
