=== debian/control ===
Source: nvidia-texture-tools
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Lennart Weller <lhw@ring0.de>,
 Andreas Beckmann <anbe@debian.org>,
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libglut-dev,
               libglew-dev,
               libjpeg-dev,
               libopenexr-dev,
               libpng-dev,
               libtiff-dev,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/nvidia-texture-tools
Vcs-Git: https://salsa.debian.org/debian/nvidia-texture-tools.git
Homepage: https://github.com/castano/nvidia-texture-tools

Package: libnvtt2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: NVIDIA Texture Tools
 NVIDIA Texture Tools is a collection of image processing and texture
 manipulation tools, designed to be integrated in game tools and asset
 conditioning pipelines.  The primary features of the library are mipmap and
 normal map generation, format conversion and DXT compression.

Package: libnvtt-bin
Architecture: any
Multi-Arch: foreign
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: nvidia-texture-tools
Description: NVIDIA Texture Tools (Binaries)
 NVIDIA Texture Tools is a collection of image processing and texture
 manipulation tools, designed to be integrated in game tools and asset
 conditioning pipelines.  The primary features of the library are mipmap and
 normal map generation, format conversion and DXT compression.
 .
 This package contains the nvidia texture tools.

Package: libnvtt-dev
Architecture: any
Section: libdevel
Depends: libnvtt2 (= ${binary:Version}),
         ${misc:Depends}
Description: NVIDIA Texture Tools (Header)
 NVIDIA Texture Tools is a collection of image processing and texture
 manipulation tools, designed to be integrated in game tools and asset
 conditioning pipelines.  The primary features of the library are mipmap and
 normal map generation, format conversion and DXT compression.
 .
 This package contains the header and development files needed to build
 programs and packages using libnvtt.
