=== debian/watch ===
version=4
opts="repacksuffix=~dfsg,dversionmangle=auto" \
    https://github.com/castano/nvidia-texture-tools/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
