=== extern/CMakeLists.txt ===

IF(WIN32)
	ADD_SUBDIRECTORY(gnuwin32)
ENDIF(WIN32)

ADD_SUBDIRECTORY(poshlib)
