## nvidia-texture-tools 2.1.0-git20160229+dfsg

=== debian/changelog ===
nvidia-texture-tools (2.1.0-git20160229+dfsg-2~exp1) experimental; urgency=low

  * Imported Upstream version 2.1.0-git20160229
  * Experimental build
  * Added patches for building on kFreeBSD/ARM64/ARM/PPC with 2.1.0

 -- Lennart Weller <lhw@ring0.de>  Tue, 17 May 2016 14:06:23 +0200
