=== debian/control ===
Source: nvidia-texture-tools
Section: libs
Priority: extra
Maintainer: Lennart Weller <lhw@ring0.de>
Vcs-Git: https://anonscm.debian.org/collab-maint/nvidia-texture-tools.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/nvidia-texture-tools.git
Build-Depends: cmake,
               debhelper (>= 9),
               dpkg-dev (>= 1.16),
               freeglut3-dev,
               libfreeimage-dev,
               libglew-dev,
               libilmbase-dev,
               libjpeg-dev,
               libopenexr-dev,
               libpng-dev,
               libtiff-dev,
               libxi-dev,
               libxmu-dev,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: https://github.com/castano/nvidia-texture-tools

Package: libnvtt2
Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA Texture Tools
 NVIDIA Texture Tools is a collection of image processing and texture
 manipulation tools, designed to be integrated in game tools and asset
 conditioning pipelines.  The primary features of the library are mipmap and
 normal map generation, format conversion and DXT compression.

Package: libnvtt-bin
Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: nvidia-texture-tools
Description: NVIDIA Texture Tools (Binaries)
 NVIDIA Texture Tools is a collection of image processing and texture
 manipulation tools, designed to be integrated in game tools and asset
 conditioning pipelines.  The primary features of the library are mipmap and
 normal map generation, format conversion and DXT compression.
 .
 This package contains the nvidia texture tools.

Package: libnvtt-dev
Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Section: libdevel
Depends: libnvtt2 (= ${binary:Version}), ${misc:Depends}
Description: NVIDIA Texture Tools (Header)
 NVIDIA Texture Tools is a collection of image processing and texture
 manipulation tools, designed to be integrated in game tools and asset
 conditioning pipelines.  The primary features of the library are mipmap and
 normal map generation, format conversion and DXT compression.
 .
 This package contains the header and development files needed to build
 programs and packages using libnvtt.
