=== debian/rules ===
#!/usr/bin/make -f

DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DNVTT_SHARED=1 -DCMAKE_BUILD_TYPE=Release \
		-DLIB_DIR_PATH=lib/$(DEB_HOST_MULTIARCH)

override_dh_installdocs:
	dh_installdocs --link-doc=libnvtt2

override_dh_auto_test:

get-orig-source:
	uscan --noconf --force-download --rename --repack --download-current-version --destdir=$(DEB_DEBIAN_DIR)/..
