## nvidia-texture-tools 2.1.0-+dfsg

=== debian/changelog ===
nvidia-texture-tools (2.1.0-+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * nvddsview is no longer being built.
  * Fix FTBFS on i386.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 29 Oct 2025 23:18:43 +0100

nvidia-texture-tools (2.1.0-git20160229+dfsg-4) experimental; urgency=medium

  * Fix FTBFS on ppc64el and armhf/armel.
  * Update .symbols control file.
  * Fix tools installation.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Oct 2025 23:11:37 +0100

nvidia-texture-tools (2.1.0-git20160229+dfsg-3) experimental; urgency=medium

  * Merge changes from 2.0.8-1+dfsg-11.
  * Drop unused Build-Depends.  (Closes: #1017553)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 30 Sep 2025 11:10:24 +0200

nvidia-texture-tools (2.1.0-git20160229+dfsg-2) experimental; urgency=medium

  * Fix FTBFS.  (Closes: #947443)
  * Build a shared nvthread library.
  * Merge changes from 2.0.8-1+dfsg-10.
  * Refresh patches.
  * Bump SOVERSION to 2.1 and rename packages accordingly.  (Closes: #916909)
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 24 Sep 2025 19:38:54 +0200

nvidia-texture-tools (2.1.0-git20160229+dfsg-1) experimental; urgency=low

  * Imported Upstream version 2.1.0-git20160229
  * Experimental build

 -- Lennart Weller <lhw@ring0.de>  Wed, 11 May 2016 13:03:41 +0200
